Package org.flowable.cmmn.model

# Class Sentry

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.Sentry

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Sentry extends CaseElement

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<SentryOnPart>`
  `onParts`
  `protected SentryIfPart`
  `sentryIfPart`
  `static final String`
  `TRIGGER_MODE_DEFAULT`
  `static final String`
  `TRIGGER_MODE_ON_EVENT`
  `protected String`
  `triggerMode`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sentry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSentryOnPart(SentryOnPart sentryOnPart)`
  `List<SentryOnPart>`
  `getOnParts()`
  `SentryIfPart`
  `getSentryIfPart()`
  `String`
  `getTriggerMode()`
  `boolean`
  `isDefaultTriggerMode()`
  `boolean`
  `isOnEventTriggerMode()`
  `void`
  `setOnParts(List<SentryOnPart> onParts)`
  `void`
  `setSentryIfPart(SentryIfPart sentryIfPart)`
  `void`
  `setTriggerMode(String triggerMode)`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRIGGER_MODE_DEFAULT

    public static final String TRIGGER_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### TRIGGER_MODE_ON_EVENT

    public static final String TRIGGER_MODE_ON_EVENT
    See Also:
      - Constant Field Values

  - ### triggerMode

    protected String triggerMode

  - ### onParts

    protected List<SentryOnPart> onParts

  - ### sentryIfPart

    protected SentryIfPart sentryIfPart

- ## Constructor Details

  - ### Sentry

    public Sentry()

- ## Method Details

  - ### isDefaultTriggerMode

    public boolean isDefaultTriggerMode()

  - ### isOnEventTriggerMode

    public boolean isOnEventTriggerMode()

  - ### getTriggerMode

    public String getTriggerMode()

  - ### setTriggerMode

    public void setTriggerMode(String triggerMode)

  - ### getOnParts

    public List<SentryOnPart> getOnParts()

  - ### setOnParts

    public void setOnParts(List<SentryOnPart> onParts)

  - ### addSentryOnPart

    public void addSentryOnPart(SentryOnPart sentryOnPart)

  - ### getSentryIfPart

    public SentryIfPart getSentryIfPart()

  - ### setSentryIfPart

    public void setSentryIfPart(SentryIfPart sentryIfPart)